- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.nativeDashboards/import#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.nativeDashboards/import#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.nativeDashboards/import#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.nativeDashboards/import#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.nativeDashboards/import#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.nativeDashboards/import#body.ImportNativeDashboardsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.nativeDashboards/import#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.nativeDashboards/import#body.aspect_1)
- [ImportNativeDashboardsInlineSource](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.nativeDashboards/import#ImportNativeDashboardsInlineSource)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.nativeDashboards/import#ImportNativeDashboardsInlineSource.SCHEMA_REPRESENTATION)
- [ImportExportStatus](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.nativeDashboards/import#ImportExportStatus)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.nativeDashboards/import#ImportExportStatus.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.nativeDashboards.import

Imports the dashboards.

### HTTP request

`POST https://{endpoint}/v1beta/{parent}/nativeDashboards:import`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where this dashboard will be created. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "source": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.nativeDashboards/import#ImportNativeDashboardsInlineSource`) } } ``` |

| Fields ||
|---|---|
| `source` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.nativeDashboards/import#ImportNativeDashboardsInlineSource`)`` Required. The data will imported from this proto. |

### Response body

Response message for importing dashboards.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "results": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.nativeDashboards/import#ImportExportStatus`) } ] } ``` |

| Fields ||
|---|---|
| `results[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.nativeDashboards/import#ImportExportStatus`)`` Output only. Represents the status of an import operation for multiple dashboards. Each dashboard's import status is tracked. A status of OK indicates the dashboard was ready for import. Otherwise, an appropriate error code and message are provided. Importantly, the import process is all-or-nothing: if even one dashboard fails to import, the entire import operation is aborted, and none of the dashboards are imported. The order of the statuses will be the same as in the import request. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.nativeDashboards.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## ImportNativeDashboardsInlineSource

Inline source for importing dashboards.

| JSON representation |
|---|
| ``` { "dashboards": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.featuredContentNativeDashboards#NativeDashboardWithChartsAndQueries`) } ] } ``` |

| Fields ||
|---|---|
| `dashboards[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.featuredContentNativeDashboards#NativeDashboardWithChartsAndQueries`)`` Required. Dashboards with charts and queries. |

## ImportExportStatus

ImportExportStatus is a wrapper for dashboard name and status.

| JSON representation |
|---|
| ``` { "dashboard": string, "status": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/ListOperationsResponse#Status`) } } ``` |

| Fields ||
|---|---|
| `dashboard` | `string` The resource name of the dashboard if it was supplied in the request. |
| `status` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/ListOperationsResponse#Status`)`` Output only. Status of the import/export operation. |